<?php
$start = microtime(true);
$correct = true;
?>
<html>
<head>
<meta charset="UTF-8" />
<title>Result</title>
</head>
<body>
<table>
<tr>
<th>R</th>
<td>
<?php
echo $_GET["r"];
$R = filter_var($_GET["r"], FILTER_VALIDATE_INT);
if (! (is_int($R) && ($R >= 1) && ($R <= 5))) {
	$errors[] = "Incorrect format for R : an integer value of 1 .. 5 is required";
	$correct = false;
}
?>
</td>
</tr>
<tr>
<th>X</th>
<td>
<?php
echo $X = $_GET["x"];
$X = filter_var($_GET["x"], FILTER_VALIDATE_INT);
if (! (is_int($X) && ($X >= -4) && ($X <= 4))) {
	$errors[] = "Incorrect format for X : an integer value of -4 .. 4 is required";
	$correct = false;
}
?>
</td>
</tr>
<tr>
<th>Y</th>
<td>
<?php
echo $Y = substr($_GET["y"], 0, 6);
if (! (is_numeric($Y) && ($Y > -5) && ($Y < 3))) {
	$errors[] = "Incorrect format for Y : a number in (-5; 3) is required";
	$correct = false;
}
?>
</td>
</tr>
<tr>
<th>Hit?</th>
<td>
<?php
echo $correct ? (
		($X < 0) && (($Y < 0) && ($Y + $X + $R / 2 >= 0) ||
		($Y >= 0) && ($Y * $Y + $X * $X <= $R * $R)) ||
		($X >= 0) && ($Y <= 0) && ($X <= $R / 2) && ($Y + $R >= 0)
	) ? "True" : "False" : join("<br />", $errors);
?>
</td>
</tr>
<tr>
<th>Time</th>
<td><?php echo date('d/m/Y H:i', time()) ?></td>
</tr>
<tr>
<th>Execution</th>
<td><?php echo microtime(true) - $start ?></td>
</tr>
<table>
</body>
</html>
